# mysql specific properties - Start

spring.datasource.url=jdbc:mysql://mysql-service:3306/wordpress
spring.datasource.username=wordpress
spring.datasource.password=wordpress

# mysql specific properties - End

# ===============================
# = JPA / HIBERNATE - START
# ===============================
# Show or not log for each sql query
# spring.jpa.show-sql=true
# Hibernate ddl auto (create, create-drop, update): with "create-drop" the database
# schema will be automatically created afresh for every start of application
spring.jpa.hibernate.ddl-auto=update
# Naming strategy
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyHbmImpl
spring.jpa.hibernate.naming.physical-strategy=org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy
# Allows Hibernate to generate SQL optimized for a particular DBMS
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect